Bug 205265 - Review Request: libxml - Old libXML library for Gnome-1 application compatibility
Review Request: libxml - Old libXML library for Gnome-1 application compatibi...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 198244
  Show dependency treegraph
 
Reported: 2006-09-05 13:33 EDT by Paul Howarth
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-11 16:00:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2006-09-05 13:33:58 EDT
Spec URL: http://www.city-fan.org/~paul/extras/Gnome-1/libxml.spec
SRPM URL: http://www.city-fan.org/~paul/extras/Gnome-1/libxml-1.8.17-14.src.rpm

Description:

This library allows old Gnome-1 applications to manipulate XML files.

This package was removed from Core for FC6 and I am submitting it to Extras to support the people that still need it for legacy applications. I used recent rawhide SRPM and then tweaked it for Extras and to suit my own cosmetic preferences. Reviewers may consider using rpmdiff to compare the built packages with the versions in Fedora Core 5.
Comment 1 Kevin Fenzi 2006-09-09 23:14:20 EDT
OK - Package name
OK - Spec file matches base package name.
OK - Meets Packaging Guidelines.
OK - License (LGPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
53846294aa850a7d042948176d1d19dc  libxml-1.8.17.tar.gz
53846294aa850a7d042948176d1d19dc  libxml-1.8.17.tar.gz.1
OK - Package compiles and builds on at least one arch.
OK - BuildRequires correct
OK - Spec has needed ldconfig in post and postun
OK - Package owns all the directories it creates.
OK - Package has no duplicate files in %files.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Spec has consistant macro usage.
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Headers/static libs in -devel subpackage.
OK - .so files in -devel subpackage.
See below - -devel package Requires: %{name} = %{version}-%{release}
OK - .la files are removed.
OK - Package doesn't own any directories other packages own.
See below - No rpmlint output.

SHOULD Items:

OK - Should include License or ask upstream to include it.
OK - Should build in mock.

Issues:

1. If the license is LGPL (as it appears to be), no need to include the
COPYING file as that is the GPL.

2. The devel package has:
Requires:       %{name} = %{epoch}:%{version}
That should probibly be:
Requires:       %{name} = %{epoch}:%{version}-%{release}

3. rpmlint says:
E: libxml-devel only-non-binary-in-usr-lib
W: libxml-devel no-documentation

I think those can both be ignored in this case.
Comment 2 Paul Howarth 2006-09-11 06:36:29 EDT
(In reply to comment #1)
> Issues:
> 
> 1. If the license is LGPL (as it appears to be), no need to include the
> COPYING file as that is the GPL.

doc/xml.html says: This library is released both under the W3C Copyright and the
GNU LGPL.

The only GPL bits appear to be the buildsystem (e.g. libtool), so I've dropped
the COPYING file.

> 2. The devel package has:
> Requires:       %{name} = %{epoch}:%{version}
> That should probibly be:
> Requires:       %{name} = %{epoch}:%{version}-%{release}

Done.

> 3. rpmlint says:
> E: libxml-devel only-non-binary-in-usr-lib
> W: libxml-devel no-documentation
> 
> I think those can both be ignored in this case.

I agree.

Next version:
Spec URL: http://www.city-fan.org/~paul/extras/Gnome-1/libxml.spec
SRPM URL: http://www.city-fan.org/~paul/extras/Gnome-1/libxml-1.8.17-15.src.rpm
Comment 3 Kevin Fenzi 2006-09-11 13:41:46 EDT
Excellent. All issues I see are fixed now, so this package is APPROVED. 
Don't forget to close this bug with NEXTRELEASE once the package has been 
imported and built. 
Comment 4 Paul Howarth 2006-09-11 16:00:52 EDT
 17043 (libxml): Build on target fedora-development-extras succeeded.
     Build logs may be found at
http://buildsys.fedoraproject.org/logs/fedora-development-extras/17043-libxml-1.8.17-15.fc6/

owners.list updated, closing bug.

Thanks for the review.
Comment 5 Kevin Fenzi 2006-12-21 22:20:39 EST
Changed summary for tracking purposes. 

Note You need to log in before you can comment on or make changes to this bug.